Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.o
Class OAssign.LValueExpression

    java.lang.Object
      org.apache.ode.bpel.o.OBase
          org.apache.ode.bpel.o.OAssign.LValueExpression

All Implemented Interfaces:
  java.io.Serializable, OAssign.LValue

Enclosing class:
  OAssign

    public static class OAssign.LValueExpression

extends OBase
implements OAssign.LValue

See Also:
  Serialized Form

Field Summary
`OLValueExpression` | `expression`

Fields inherited from class org.apache.ode.bpel.o.OBase
`debugInfo`

Constructor Summary
`OAssign.LValueExpression(OProcess owner, OLValueExpression compiledExpression)`

Method Summary
`OScope.Variable` | `getVariable()`
`boolean` | `isInsertMissingToData()`
`void` | `setInsertMissingToData(boolean insertMissingToData)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.o.OBase
`dehydrate, equals, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### expression

    public OLValueExpression expression

Constructor Detail

### OAssign.LValueExpression

    public OAssign.LValueExpression(OProcess owner,
                                    OLValueExpression compiledExpression)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OBase`

### getVariable

    public OScope.Variable getVariable()

  Specified by:
    `getVariable` in interface `OAssign.LValue`
  See Also:
    `OAssign.LValue.getVariable()`

### isInsertMissingToData

    public boolean isInsertMissingToData()

### setInsertMissingToData

    public void setInsertMissingToData(boolean insertMissingToData)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD